package com.ics.admin.service.meeting;

import com.ics.admin.domain.meeting.*;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 房间主体内容Service接口
 * 
 * @author ics
 * @date 2024-02-22
 */
public interface IRoomContentService extends IService<RoomContent> {
    /**
     * 查询房间主体内容
     * 
     * @param id 房间主体内容ID
     * @return 房间主体内容
     */
    RoomContent selectRoomContentById(Long id);

    /**
     * 查询房间主体内容列表
     * 
     * @param roomContent 房间主体内容
     * @return 房间主体内容集合
     */
    List<RoomContent> selectRoomContentList(RoomContent roomContent);

    /**
     * 新增房间主体内容
     * 
     * @param roomContent 房间主体内容
     * @return 结果
     */
    int insertRoomContent(RoomContent roomContent);

    /**
     * 修改房间主体内容
     * 
     * @param roomContent 房间主体内容
     * @return 结果
     */
    int updateRoomContent(RoomContent roomContent);

    /**
     * 批量删除房间主体内容
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteRoomContentByIds(String ids);

    /**
     * 删除房间主体内容信息
     * 
     * @param id 房间主体内容ID
     * @return 结果
     */
    int deleteRoomContentById(Long id);

    List<RoomContent> selectApiRoomList(RoomContent roomContent);


    RoomContent selectInfoById(Long id);

    Map<String,Object> selectSearchInfoByType(Integer type);

    List<ReservationDTO> selectMeetingRoomRecord(Long meetingRoomId);

    HashMap<String, Object>  selectMeetingRoomServiceAndEquipment(Long meetingRoomId);

    int roomServeByRoom(RoomServeByRoom roomServeByRoom);

    int addItemServe(RoomItemByRoom roomItemByRoom);

    List<Reservation> todayMeeting(RoomContent roomContent);

    RoomContent selectByRoomId(Long id);
}
